Solution Building and Packaging Reference

See Also Tasks

[This topic is under construction.]


This topic is under construction.


In-Place Setup Package Overview

You can create setup executables that will install Java applications on Windows platforms with in-place setup packaging. You can package the run-time components generated by a single Java project (class files, gifs, etc.) into a single, self-extracting setup executable with in-place packaging. Since in-place packaging does not require an additional packaging project in the solution, you might find that it is more convenient to use when you only need to install the run-time components generated by a single VJ project. If you select the self-extracting setup package, you can:

  • Select the built project outputs and resources to be installed by your setup program, by selecting specific files, or specifying a file extension, or including all the project files.

  • Add external files to the setup package that are not contained in the project.

  • Choose your own title for the setup application you would create.

  • Set the default directory to which your setup application would install components. (This can also be set relative to the Program Files directory.)

  • Select the name and shortcut to be added to the Start menu to run your application, with a name you specify.

  • Include an uninstaller, which uninstalls your application by removing files and the Start menu item, and removing from the registry any entries your setup application created.

Note In-place packaging is effective only when packaging a single project for a single package. For more information on packaging multiple projects or a project into multiple packages, see the Adding a Project to a Solution.

["Adding a Project to a Solution" is not completely documented in this release. If you want to package a project into more than just a setup package, then you can create an additional package project and set those package settings differently. For example, two packages are generated from the same project- one on the solution level, with a package project of its own (set to a .cab or .zip), and one on the project level, with a setup package.]

For step-by-step instructions on creating an in-place setup package, see Creating an In-Place Setup Package.


Creating an In-Place Setup Package

See Also

Using in-place packaging, you can create a single self-extracting executable installer from a single Java project. In this way, you can avoid having to create a packaging project, which might be more complex than your packaging needs require.

Note In-place packaging is effective only when packaging a single project for a single package. For more information on packaging multiple projects or a project into multiple packages, see the Adding a Project to a Solution.

["Adding a Project to a Solution" is not completely documented in this release. If you want to package a project into more than just a setup package, then you can create an additional package project and set those package settings differently. For example, two packages are generated from the same project- one on the solution level, with a package project of its own (set to a .cab or .zip), and one on the project level, with a setup package.]

To create an in-place setup package

  1. In the Visual Studio development environment, open a solution that contains a Visual J++ project.

  2. Choose Build from the Build menu, and build the project. This is recommended if you are going to select specific class files to install.

This builds all the classes. If necessary, it also starts the browser and loads an HTML page included in the project.

  3. In the Project Explorer, select the project, then right-click Project Settings.

  4. In the Project Settings dialog box, click the Packaging tab. Click Enable Packaging, then from the Packaging Type drop-down control, select Self-Extracting Setup.

    On the Packaging Tab, do the following:

    • Specify the name of the self-extracting setup package.

    • Select the files that go into the package.

      You can leave them unselected, select them by file extension, or select all files.

    • Add any desired files from outside the project by clicking Additional Files and browsing for the files.
  5. Click Advanced. On the Advance Settings dialog box, you can do any of the following, as needed:
    • Specify the title of the application your setup package will install on the client machine. This title will appear in the user's Add/Remove Programs dialog box, available from the Windows Control Panel.

    • Set the default installation directory, either as an absolute directory path name or as a path name relative to the Program Files directory.

    • Specify that your setup package should create a Start menu item from which the user can run your application.
  6. Click Build to build the project. When this is completed, confirm that your setup package was built in the correct location.

  7. Test the packaged setup file by running it.

    When testing, confirm that your package installs all of the files you included in it, such as Java class files, HTML pages, Readme files, .gif files, or others.

    Check also to see that your setup package added your application's name to the Add/Remove Programs dialog box, available from the Windows Control Panel. Once you have finished confirming the success of your installation, you can launch the un-installer from the Add/Remove Programs dialog box to remove your application.

You should now have a self-extracting setup package containing the files you specified, and an uninstaller.


Solution Deployment Reference

[This topic is under construction.]


Visual Component Manager Reference

The Visual Component Manager is a tool for storing, organizing, and sharing reusable components. It can contain wizards, ActiveX components, Database Connection objects, and many other components used in Visual Studio language projects. It can even contain entire Visual Basic and Visual J++ projects!

The following sections provide information to acquaint you with the concepts, procedures and commands of Visual Component Manager.

Section | Description
Visual Component Manager Concepts | Provides an overview of Visual Component Manager and its features, as well as information on what you can accomplish with it.
Visual Component Manager Common Tasks | Describes using Visual Component Manager to see blah, blah, blah.
Visual Component Manager User Interface Reference | Describes Visual Component Manager’s windows, dialog boxes, commands and wizards.


Visual Component Manager Concepts

Component-based software development is the newest and most powerful way to build complex business applications. Instead of constantly re-inventing the wheel, developers of component-based applications can simply “plug in” existing components that contain the needed functionality. When the right component doesn’t already exist, it can be written once, then cataloged for future reuse and sharing with other applications.

With Visual Component Manager you can publish components to a repository-based catalog, where they can easily be located, inspected, retrieved and reused.

The following sections provide information to acquaint you with the important concepts of Visual Component Manager.

Section | Description
Publishing, Finding, and Reusing Components | Provides an overview of Visual Component Manager and its features, as well as detailed information on what you can accomplish with it.
Visual Component Manager Tool Window | Describes the Visual Component Manager Tool Window and acquaints you with its major features.
Repositories, Folders, and Items | Describes the three kinds of elements managed by Visual Component Manager, and explains how they are used to organize components for sharing and reuse.
Component Attributes | Lists the attributes that are assigned to components in Visual Component Manager. These attributes are used to determine how the components will be stored and reused, and to provide search criteria for locating the right component for the job.


Publishing, Finding, and Reusing Components

The biggest challenge of component based development is managing all the separate components. Within a single application there may be hundreds or even thousands of separate components, and each of these components may be used in many different places in the program. What’s more, many components can be reused in other applications, saving enormous development time and effort – if you can locate the right component when you need it.

Visual Component Manager addresses the three main requirements for storing and organizing components: publishing, finding, and reusing them.

It provides a single source to organize, find, and insert components into your project. It can also be the centralized location for approved project programming conventions, functional specifications, and architectural models and diagrams.

Publishing Components

Publishing a component means storing it in a Visual Component Manager repository database, along with attributes and search keywords that will make it easy for others to find and reuse it.

When you publish a component, it is added to a Microsoft Repository database. This can be local (Access) database on your own workstation, or it can be a shared SQL Server database on a network server, giving everyone who has access to that server the ability to find and reuse your component.

The Visual Component Manager provides a single location for anything that can be added to a Visual Studio project. It allows you to catalog components, to find them easily using flexible search criteria, and to insert them into your project with point-and-click ease.

For example, you might create a template for a standard form used in all the accounting applications at the company, or a standard tax-calculation object that can be used in many applications. Cataloguing these components on a shared repository database provides an easy way for all of the organization's developers to find and use the components. It also provides a convenient method of documenting their interfaces and usage requirements.

In addition to single components, Visual Component Manager can also store component libraries, templates, models and complete application frameworks. For example, a tool developer might create a set of forms and basic modules that are the starting point for new forms and modules of the same type. By creating a template stored in the Visual Component Manager, any developer can get a copy of the forms or modules and be able to add to or change it without affecting the original.

Because Visual Component Manager supports multiple databases, it is possible to selectively browse through items in a local repository database, then switch to a departmental repository database (on a shared server), and finally to enterprise scope, on another shared database. In any repository database, you can use Visual Component Manager to drag items of interest into your local database, or insert them directly into your project.

For More Information To see step by step instructions for publishing components, see Publishing Components. For detailed information about the Microsoft Repository, see [REPOSITORY LINK].

Finding Components

Visual Component Manager provides a flexible keyword and search mechanism to help organize and cross-reference components very flexibly. You can catalog and search for components by the component name, type, description, keywords, and annotations. With full text search capability, you can find components even if you don’t know the exact component name.

Making best use of this search capability requires careful thought and consideration when you are publishing a component. You should be sure to enter the keywords most likely to describe the component to someone looking for it, or for someone searching for a component that has its functionality.

The keyword scheme also lets you group and categorize components hierarchically. For example, "Accounting" components might be further subdivided with keywords such as "Accounts Receivable" and "Payroll." By defining keywords to match both the larger category and the sub-categories, a user can find either all items with the "Accounting" keyword, or just a subset with the "Payroll" keyword.

To provide good examples of well-indexed component entries, Visual Component Manager allows you to install entries for all controls, templates, forms, and other components supplied by Visual Basic. You are given this option when you first run Visual Component Manager from within Visual Basic. Useful descriptions and keywords have already been entered, allowing you to find the component or tool you are looking for, then launch or add it to your project with a click of the mouse.

For More Information For step-by-step instructions on finding components in a Visual Component Manager repository database, see Finding Components.

Reusing Components

Visual Component Manager lets you easily share and reuse code components, documentation, and other pieces of a project, as well as complete projects. When you locate a component you need, reusing it in your current project is usually as simple as clicking Add to my project on the component’s shortcut menu. When reusing components that require COM registration, Visual Component Manager automatically registers the component for you when adding it to your project.

Programmers often create modules that contain "utility" functions that are used over and over again, to avoid re-inventing the wheel. Storing such modules in the Visual Component Manager provides an easy way to find and reuse such modules.

You can also associate additional files with components. A particular component may require the presence of additional support files such as .dll files, Help files or documentation. With Visual Component Manager, you can associate multiple files with any component. This association becomes a part of the component item's properties in Visual Component Manager, and the associated files can be loaded along with the item.

Used in this way Visual Component manager can also be the centralized location for approved project programming conventions, functional specifications, architectural models, and diagrams.

For More Information For step-by-step instructions on reusing components that have been published in Visual Component Manager, see Reusing Components in Your Project.


The Visual Component Manager Tool Window

Visual Component Manager provides a simple user interface to navigate through its contents, as well as a Toolbar to quickly select the most common Visual Component Manager tasks. By default, it presents three panes:

  • The explorer pane

  • The contents pane

  • The properties pane

You can hide the explorer and properties panes by clicking the toolbar buttons. The contents pane is always visible.

The Explorer Pane

The explorer pane shows a hierarchical view of the Repository databases currently loaded into Visual Component Manager, along with the folders and sub-folders within each. Clicking on the small plus (+) sign to the left of any repository or folders expands the view to show the folers or sub-folders it contains.

The Contents Pane

The contents pane displays the folders and items contained within the database or folder that is currently selected in the explorer pane. At the lowest level, the items displayed are components that have been published to Visual Component Manager.

The Properties Pane

The properties pane displays a listing of all the properties and values assigned to the folder or item currently selected in the contents pane. At the component level, these properties include the component name, description, search keywords and other identifying information about the component. The properties pane also doubles as a browse pane to display object hierarchies for COM objects when you click Browse Details on the shortcut menu.

For More Information For more information about Repository databases, folders, and items, see Repositories, Folders, and Items. For more information about the properties Visual Component Manager assigns to the components it manages, see Component Attributes.


Repositories, Folders, and Items

The explorer pane displays a hierarchical folder view of the Visual Component Manager's organization. This organization contains three kinds of elements:

  • The top-level folders in this view are repository databases.

  • Each database contains sub-folders .

  • Each sub-folder can contain other folders and/or items.

Repositories

Visual Component Manager uses the Microsoft Repository to store and retrieve components. It can create and access two separate kinds of repository databases: Access (.mdb) for local repositories and SQL Server for shared (team) repositories. When Visual Component Manager is first installed, it creates an Access database on your local machine.

You can create or open additional repository databases of either type, using the Repository command in the context menu.

Folders

Visual Component Manager organizes the components it contains into folders. Each folder can contain both items (components) and sub-folders. There are folders for each supported item type in the local repository database, and you can create additional folders by clicking New Folder on the context menu.

Items

Individual components are the lowest-level items stored in the repository database. In order to know how to load, reference, and otherwise manage the components it stores, Visual Component Manager categorizes each item by type. The item type determines the behind-the-scenes “handler” used by Visual Component Manager to perform various operations on the component item.

The types of items currently supported by Visual Component Manager include:

Item Types | File Extensions
COM Server | .DLL, .EXE
COM Library | .DLL
Standard Binaries | .DLL, .EXE
ActiveX Control | .OCX
Active Document | .VBD
VB Project | .VBP
VB Project Group | .VBG
VB Sample Project | .VBP
Form Template | .FRM
MDI Form Template | .FRM
Class Template | .CLS
Code Procedure Template | .BAS
Control Set Template | .FRM
Menu Template | .FRM
Property Page Template | .PAG
User Control Template | .CTL
User Document Template | .DOB
Database Connection | .CLS
VJ++ Project | .VJP
Java Class | .CLASS
Java Applet | .JAVA
HTML File | .HTM, .HTML
Visual Model | .MDL
Documents/Misc. File | Any filename.

For More Information For more information about the operations you can perform on repository databases, folders, and items, see Visual Component Manager Common Tasks. For a listing and description of Visual Component Manager commands, see Visual Component Manager User Interface Reference.


Component Attributes

In order to help organize components so that you can easily locate and reuse them, Visual Component Manager maintains attribute information about each component stored in its repository database. These attributes are displayed in the properties pane of the Visual Component Manager window.

Attribute | Description
Component Name | The name by which the component is recognized.
Type | The component type, as described in Repositories, Folders, and Items.
Description | A brief description of the component’s functionality, usage, interface(s) and any other useful information about the component
Keywords | Words or phrases used to identifythe component for searching
File Name | The names of all files included with the component
Author | The name of the component’s author.
Date Published | Date the component was first added to Visual Component Manager
Usage Count | Number of times the component has been reused from the current repository
Has Source Code | True or False
Has Documentation | True or False
Has Help File | True or False
Has Sample Code | True or False

Note that you enter most of these properties when you publish the component, by supplying information in the Publish Wizard. You can modify them by right-clicking the component in the contents pane and clicking Properties on the shortcut menu.

When you publish a component, you should be careful to enter complete and well-organized information in its attributes, since this information will be used by others to locate the components they need.

For More Information For more information about using component attributes to organize and search for published components, see Finding Components.


Visual Component Manager Common Tasks

The sections below briefly describe common Visual Component Manager tasks. These tasks include:

Finding Components

Installing and Starting Visual Component Manager

Publishing Components

Reusing Components in Your Project

Using Visual Component Manager with Visual Modeler

Working with Repository Databases


Finding Components

See Also

One of the ways Visual Component Manager makes it easy to organize and manage components is by providing extensive search capabilities to help you locate precisely the item you need.

To find an item in Visual Component Manager

  1. Click the Find button on the Visual Component Manager toolbar to open the Find Items in Visual Component Manager dialog.

  2. On the Description tab, enter one or more keywords or search strings in the Containing box. If more than one word is entered Visual Component Manager finds all components containing one or more of the keywords. Alternatively, you can place double quotes around one or more words to use the entire string as a search criterion.

  3. Specify the type of items you wish to search for in the Of Type list.

  4. Check the appropriate box to select the areas to be searched for: Name, Description, Keywords and/or Annotations.

  5. On the History tab, narrow the search by specifying the author or person who last updated the component, publication dates and use history.

  6. On the Related Files tab, specify components that include sample code, source code, documentation or help files, as well as items with a specific name.

  7. Click Find Now to begin the search. All items in the repository database that meet the search criteria are listed in the dialog’s Results pane. See Find Items in Visual Component Manager Dialog Box for detailed information about each of the search options.


Installing and Starting Visual Component Manager

See Also

Visual Component Manager is automatically installed during Setup when you first install Visual Studio, Visual Basic, Visual J++, Visual Interdev, or Visual C++. In Visual Basic, however, you must first add it to the toolbar in order to access it.

To add Visual Component Manager to the Visual Basic Toolbar

  1. Click Add-in Manager on the Visual Basic Add-ins menu.

  2. Scroll down and highlight Visual Component Manager on the add-ins list.

  3. Check Load on Startup in the Load Behavior group.

  4. Click Okay to add Visual Component Manager to the Visual Basic toolbar.

To start Visual Component Manager from Visual Basic

  1. Click the Visual Component Manager icon on the Visual Basic toolbar, or

  2. Click Visual Component Manager on the View menu

To start Visual Component Manager from Visual J++ or Visual InterDev

  1. Click the Visual Component Manager icon on the Visual Basic toolbar, or

  2. Click Visual Component Manager on the View menu

To start Visual Component Manager from Visual C++

  1. Click Visual Component Manager from the Tools menu


Publishing Components

See Also

One of the major uses of the Visual Component Manager is the ability to publish reusable components on a shared repository database, where they can be located and used by other developers.

Visual Component Manager provides three ways to publish items to the repository database:

  1. Selecting a component in the Windows Explorer and dragging it to a selected folder in the Visual Component Manager.

  2. Selecting a project in your development environment and choosing Publish from the proJect’s shortcut menu. Clicking Source Files publishes the project’s source code files, and Build Outputs compiles and publishes its outputs.

  3. Selecting New from the Visual Component Manager’s shortcut menu.

Each of these methods opens the Publish Wizard, which walks you through a series of steps that allow you to publish a project for reuse. Depending on how you open the Publish Wizard, every step listed below may not apply.

To publish a component using the Publish Wizard

  1. Select a Repository Folder. Specify the folder to which you want the project published. You may choose a folder on either a local or a shared repository database.

  2. Title and Properties. Identify the component with a Component Name, Primary File Name, Type, and Author. You can also specify the kinds of additional files included with the published component: Sample Code, Source Code, Documentation and/or Help Files.

  3. More Properties. Enter a Description of the component and use the Add or Remove buttons to supply Keywords that will allow others to search for it.

  4. Select Additional File(s). Specify all the files that will be published as a part of the component in addition to the primary file already listed.. If the publish wizard has been launched from a project, the project files will be automatically included in the list, and you may add other files as well.

  5. COM Registration. Specify which components must be registered for COM on the user’s computer when this component is reused.

  6. Click Finish to publish your component to Visual Component Manager.


Reusing Components in Your Project

See Also

The Visual Component Manager provides several ways to reuse components in your Visual Basic or Visual J++ project, depending on the type of item selected.

You can also reuse components in VC++ or other programming environments, although you will not directly interact with these tools. In these cases, the components are copied from the repository database to your local hard disk, and COM components are registered in your system registry. You will have to add them to the VC++ or other language project manually.

Some typical examples of reusing components are listed below.

To add a new project to your Visual Basic project group

  1. Locate and select the desired component item in the Explorer or Contents pane.

  2. On the shortcut menu, click Add to Project Group.

To add a new project to your Visual J++ or Visual InterDev Solution

  3. Locate and select the desired component item in the Explorer or Contents pane.

  4. On the shortcut menu, click Install on this computer.

To add a new ActiveX Control to your project

  1. Locate and select the desired ActiveX Control item in the Explorer or Contents pane.

  2. On the shortcut menu, click Add to Toolbox.

To add other COM objects to your project

  1. Locate and select the desired object in the Explorer or Contents pane.

  2. On the shortcut menu, click Add to Project.

To add a new form to your Visual Basic project

  1. Locate and click the desired form item in the Explorer or Contents pane.

  2. On the shortcut menu, click Add to Project.

To use a published COM component in Visual C++ or other environments

  1. Locate and click the desired form item in the Explorer or Contents pane.

  2. On the shortcut menu, click Install on this computer.

To use a other components in Visual C++ or other environments

  3. Locate and click the desired form item in the Explorer or Contents pane.

  4. On the shortcut menu, click Save to disk.

A shortcut method of adding most items to your project is to double-click on the item's icon in the Contents pane


Using Visual Component Manager with Visual Modeler

See Also

Visual Component Manager allows you to publish models created in Visual Modeler, and to import and export these models into your project.

To import a class or logical package from the Visual Component Manager to a Visual Modeler Model:

  1. In Visual Modeler, open the model to which you want to import the class or package.

  2. In Microsoft Visual Basic 6.0, open the Microsoft Visual Component Manager, and click on the Visual Models folder. The published models are displayed.

  3. Select the model you want to import.

  4. Click Browse on the displayed menu. A hierarchical list showing the logical packages, associations, and classes of the selected model is displayed.

  5. Expand the list to display the class or logical package you want to import.

  6. Drag the class or package from the list and drop it on an open class diagram or on a logical package in the browser in Visual Modeler.

Visual Modeler imports the selected class or logical package into the logical view of the current open model.

Publishing a Visual Modeler Model to the Microsoft Repository

To publish the entire logical view of the current open model to the Visual Component Manager:

  1. Save the model.

  2. Choose Publish to Repository from the Tools menu.

For more information about using Visual Component Manager with the Visual Modeler, see [Visual Modeler reference].


Working with Repository Databases

See Also

A local repository database is created when you install Visual Component Manager. However, you may wish to create new special-purpose databases, or shared databases that allow you to publish your components and make them available to other developers on your network.

To create a new repository database

  1. Open the shortcut menu anywhere in the Explorer pane of Visual Component Manager, and click Repository, then click Create New.

  2. On the Select Database Type dialog box, choose Microsoft Access Database (MDB) or SQL Server Database, then click OK.

  3. If you chose to create an Access type database, the Create Access Type dialog box appears. Choose a Directory and File Name for the new database, then click Save.

    If you chose SQL Server, the Select Data Source dialog box appears, prompting you to specify the DSN Name of the SQL Server database in which to create the new repository tables. Click OK.

  4. Visual Component Manager creates the necessary repository database tables and adds the new database to the Explorer pane.

To create a shared SQL Server database you must 1) have SQL Server installed on your computer and 2) have an existing database in which to create the repository tables. If you want the database to be sharable, you must be logged in as System Administrator when you create the database. You can create a shared Access type database simply by creating it on a network server to which other developers have access.

To copy an item from one database to another

  1. Locate and select the item you want to add.

  2. Click and drag it to the location you want to add it to.


Visual Component Manager User Interface Reference

This section includes reference information on items in Visual Component Manager's user interface. Select any of the links below for more information on the named item.

Add a Keyword Dialog Box

Add Annotation Dialog Box

Component Properties Dialog Box

Find Items in Visual Component Manager Dialog Box

Keywords Dialog Box

Select Database Type Dialog Box

Visual Component Manager Main Screen

Visual Component Manager Publish Wizard


Add a Keyword Dialog Box

This dialog is displayed when you click the plus (+) button on the Item Keywords Dialog Box. It provides a way to enter new keywords which are stored in the current repository database, and can be used to describe published components.


Add Annotation Dialog Box

This dialog box is displayed when you click Add Annotation from Properties dialog box. It Provides data entry fields to enter a textual annotation to the component’s properties, and the name of the annotation’s author. Annotations can be used for search criteria in the Find Items in Visual Component Manager dialog box.


Component Properties Dialog Box

This dialog box appears when you click Properties on the shortcut menu. There are three tabs on which you can view or change the item’s properties.

Description Tab

Description

A textual description of the component. The more detail you enter here, the better. A description of the component’s suggested usage, interfaces, inputs and outputs, and similar information will help other developers reuse the component more easily.

Keywords

Keywords are a primary search mechanism in Visual Component Manager, so they should be chosen with care. Click Add to insert keywords from a list of available keywords that have previously been used in your database. If you need to insert new keywords, click on the plus (+) sign in the Add a Keyword dialog box.

Related Files Tab

Sample Code

A True or False field that indicates whether sample code is included with the published component.

Source Code

A True or False field that indicates whether source code is included with the published component.

Documentation

A True or False field that indicates whether written documentation is included with the published component.

Help Files

A True or False field that indicates whether online Help files are included with the published component.

Component Files

A listing of all files that are included in the published component. A checked box in front of the file name indicates that it needs COM registration.

Annotations Tab

Displays all annotations (notes or comments) that have been added to the published component. Annotations can be used to add tips, usage caveats, or any unstructured information about the component. To add additional annotations, click the Add Annotation button.


Find Items in Visual Component Manager Dialog Box

This dialog box appears when you click the Search button on the Visual Component Manager toolbar, or choose Find… from the shortcut menu. There are three tabs on which you can enter search criteria.

Description Tab

Enter one or more keywords or search strings in the Containing box. You can click the ellipses (…) to display the Item Keywords dialog box, allowing you to select from the list of all keywords in your database.

You can further narrow the search by specifying which Item type or types you wish to search for, and any combination of Name, Description, Keywords, and Item Property Values to search.

History Tab

Specify whether you want the search to encompass all components in the current database, or only components matching specific history requirements. You can search for components authored or updated by a particular person, a range of dates, a number of days, moths, or years within which the component must have been published, or a maximum or minimum number of times the component has been reused.

Related Files Tab

Specify whether you want to search all components in the current database, or only components that contain Sample Code, Source Code, Documentation, or Help Files, or any combination of these related files. You can also specify that you want to search only items that contain a specific related file.


Keywords Dialog Box

Item Keywords Dialog Box

Allows you to pick from a list of currently available keywords when constructing a search string in the Find Items in Visual Component Manager dialog box, or when assigning keywords to a component from the Publish Wizard. You can also click the plus (+) sign to add new keywords to the list. See Find Items in Visual Component Manager Dialog Box for more information about keywords and searching.


Select Database Type Dialog Box

This dialog box appears when you click Repository, then click New or Open on the shortcut menu. Select Microsoft Acess Database (MDB) or SQL Server Database to indicate which type of VCM database you want to create or open, then click OK.


Visual Component Manager Main Screen

The main screen of Visual Component Manager features a toolbar to select commonly used commands, and three panes for viewing the databases, folders and sub-folders, and individual items stored by Visual Component Manager. These elements are briefly described below.

Folder Listbox

Sets the focus of the Explorer pane to a different folder.

Up One Level Button

Moves the focus up one level in the Group Outline pane.

Add a New Folder Button

Creates a new folder in the current database and inserts it into the Explorer pane.

Search Button

Opens the Find Items in Visual Component Manager dialog box, allowing you to search for items of any type. You can search by name, description, keywords, property values, or any combination.

Cut Button

Moves the current folder or item to the clipboard.

Copy Button

Copies the current folder or item to the clipboard.

Paste Button

Copies the group or item in the clipboard to the selected folder.

Show/Hide Explorer Pane Button

Toggles the display of the Explorer pane in the Visual Component Manager user interface.

Show/Hide Properties Pane Button

Toggles the display of the Properties pane in the Visual Component Manager user interface.

Explorer Pane

The hierarchical navigation pane of the Visual Component Manager. It lists the Repository Databases, Folders, and sub-Froups currently loaded.

Contents Pane

Displays the items (components) in the currently selected folder of the repository database.

Properties Pane

Displays the properties of the currently selected item. For COM components, the Properties pane converts to a Browse pane to display the object hierarchy when you select Browse from the shortcut menu.


Visual Component Manager Publish Wizard

The Visual Component Manager Publish Wizard takes you step by step through the process of publishing a component for reuse.

By filling in the requested information, you let Visual Component Manager know where and how to store the component, how to manage its interaction with the Visual Studio and other development environments, and how to identify it with keywords and search attributes so it can be easily located by other developers who wish to reuse it.

The wizard includes a standard set of buttons along the bottom. These buttons control the following actions:

Button | Description
Help | Displays online help for the Publish Wizard.
Cancel | Closes the wizard; nothing is published.
< Back | Moves back one step in the process.
Next > | Moves forward one step in the process.
Finish | Publishes the item and closes the wizard.

Step 1: Select a Repository Folder

This step asks you to name the folder to which you want the item published, and to provide a name for the item. You may choose a folder on either a local or a shared repository database, or create a new folder. If you started the Publish Wizard from within Visual Basic, Visual J++, or Visual InterDev, the name of the selected component is automatically filled in for you, but you can change it if you wish.

Step 2: Title and Properties

This step asks you to identify the component so that it can easily be located, and so Visual Component Manager will know how to “handle” it when you want to reuse it in a project or solution.

Component Name

The name that will appear in the Contents pane to identify the component.

Primary File Name

The primary component file. For example, if you are publishing an ActiveX control, the primary file name will be the .OCX file that encapsulates the control.

Type

Identifies the type of component you are publishing. This determines the handler assigned to the component for purposes of interacting with the tools environment and operating system, as well as providing a useful search criterion.

Author

The person who wrote or integrated the component being published.

Sample Code

A True or False field that indicates whether sample code is included with the published component.

Source Code

A True or False field that indicates whether source code is included with the published component.

Documentation

A True or False field that indicates whether written documentation is included with the published component.

Help Files

A True or False field that indicates whether online Help files are included with the published component.

Step 3: More Properties

This step gives you the opportunity to add a verbal description and search keywords to the component you are publishing. The clearer your description and well-chosen keywords will make your component easier to find by others, and therefore more likely to be reused.

Description

A textual description of the component. The more detail you enter here, the better. A description of the component’s suggested usage, interfaces, inputs and outputs, and similar information will help other developers reuse the component more easily.

Keywords

Keywords are a primary search mechanism in Visual Component Manager, so they should be chosen with care. Click Add to insert keywords from a list of available keywords that have previously been used in your database. If you need to insert new keywords, click on the plus (+) sign in the Add a Keyword dialog box.

Step 4: Select Additional File(s)

In this step you name all the files that will be published as a part of the component in addition to the primary file already listed.. If the publish wizard has been launched from a project, the project files will be automatically included in the list, and you may add other files as well.

Step 5: COM Registration

Specify which files, if any, Visual Component Manager must register for COM on the user’s computer when this component is reused. Once you click Finish, the wizard publishes the component to the specified folder in Visual Component Manager.